From 8f8db7c523072164093e1f83165d020a7a25ed81 Mon Sep 17 00:00:00 2001
From: sebastiii <sebastiii@team-mediaportal.com>
Date: Wed, 11 Feb 2015 16:18:43 +0100
Subject: [PATCH] Fix building from batch.

---
 DirectShowFilters/Core-CC-Parser/parsing/CCParser.h    |  2 +-
 DirectShowFilters/Core-CC-Parser/parsing/CcParseH264.h | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/DirectShowFilters/Core-CC-Parser/parsing/CCParser.h b/DirectShowFilters/Core-CC-Parser/parsing/CCParser.h
index e1b8f6a..661ad51 100644
--- a/DirectShowFilters/Core-CC-Parser/parsing/CCParser.h
+++ b/DirectShowFilters/Core-CC-Parser/parsing/CCParser.h
@@ -128,7 +128,7 @@ private:
 	CCWORDSET m_ccsetLastPorI;
 	
 	CCWORDSET m_ccsetH264[20]; //Sized to allow for maximum of 20 H.264 b-frames + ref frames
-	int m_ccsetH264WrIdx;
+	int m_ccsetH264WrIdx = 0;
 	
   CcParseH264 *m_CcParserH264;
 };
diff --git a/DirectShowFilters/Core-CC-Parser/parsing/CcParseH264.h b/DirectShowFilters/Core-CC-Parser/parsing/CcParseH264.h
index 6414271..1756b08 100644
--- a/DirectShowFilters/Core-CC-Parser/parsing/CcParseH264.h
+++ b/DirectShowFilters/Core-CC-Parser/parsing/CcParseH264.h
@@ -63,15 +63,15 @@ BYTE* get_cc_buffer_pointer();
 
 private :
 
-int           ccblocks_in_avc_total;
-int           ccblocks_in_avc_lost;
-long          num_unexpected_sei_length;
-WORD          cc_count;
-DWORD         cc_bytes_in_buffer; //Max buffer size is 65536
+int           ccblocks_in_avc_total = 0;
+int           ccblocks_in_avc_lost = 0;
+long          num_unexpected_sei_length = 0;
+WORD          cc_count = 0;
+DWORD         cc_bytes_in_buffer = 0; //Max buffer size is 65536
 
 // buffer to hold cc data
-unsigned char *cc_data;
-DWORD         cc_databufsize;
+unsigned char *cc_data = NULL;
+DWORD         cc_databufsize = 1024;
 
 // local functions
 unsigned char   *sei_message (unsigned char *seibuf, unsigned char *seiend);
-- 
1.9.5.msysgit.0

